## doc-base 0.10.5

=== doc/Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 206 2011-01-16 21:08:22Z robert $
#

ALL_TARGET := build-local
SUBDIRS		 := 
include ../common.mk

generated := $(bdir)/version.ent							\
						 $(bdir)/doc-base.sgml						\
						 $(bdir)/doc-base.txt 						\
						 $(bdir)/doc-base.html/index.html \
						 $(bdir)/check-stamp							\
						 $(bdir)/section.list

$(ALL_TARGET): $(generated) | $(bdir)


$(bdir)/doc-base.sgml: doc-base.sgml | $(bdir)
	$(call msg,$@)
	cp -f $< $@
	touch -r $< $@

$(bdir)/check-stamp: $(bdir)/doc-base.sgml $(bdir)/version.ent
	$(call msg,$@)
	nsgmls -wall -s -E20 $(bdir)/doc-base.sgml	# check SGML syntax
	touch $@

$(bdir)/doc-base.txt: $(bdir)/doc-base.sgml $(bdir)/version.ent $(bdir)/check-stamp
	$(call msg,$@)
	cd $(bdir) && debiandoc2text $(<F)

$(bdir)/doc-base.html/%: $(bdir)/doc-base.sgml $(bdir)/version.ent $(bdir)/check-stamp
	$(call msg,$@)
	cd $(bdir) && debiandoc2html $(<F)

$(bdir)/version.ent: $(bdir)/doc-base.sgml $(CHANGELOGFILE) $(MAKEFILESLIST) | $(bdir)
	$(call msg,$@)
	echo "<!ENTITY version \"$(VERSION)\">"    > $@.new
	echo "<!ENTITY date    \"$(DATE_EN)\">"    >> $@.new
	mv -f $@.new $@

$(bdir)/section.list: doc-base.sgml | $(bdir)
	$(call msg,$@)
	perl -e  \
	   'exec ("'perl'", "-ne", join("",@ARGV)) if $$#ARGV >-1;                    '\
	   '      last                    if /<!--\s*section\s+list\s+end\s*-->/;     '\
	   '      $$insect=1              if /<!--\s*section\s+list\s+begin\s*-->/;   '\
	   '      next                    unless $$insect;                            '\
	   '      s/item>/tag>/g          if $$inlst;                                 '\
	   '      $$inlst = 1             if s/<list>/<taglist>/;                     '\
	   '      $$inlst = 0             if s/<\/list>/<\/taglist>/;                 '\
	   '      $$top .= ($$sect . "/") if /<taglist>/ and $$sect;                  '\
	   '      $$top =~ s/[^\/]+\/$$// if /<\/taglist>/;                           '\
	   '      $$sect = $$1            if (/<tag>(?:(?:<\w+[>\/])*?)\s*([^<>]+)\s*(.*?)<\/tag>/);  '\
	   '      print "$$sect\n"        if /<tag>/ && !/<!--\s*skip\s*-->/;         '\
	 < $< > $@.tmp
	 touch -r $< $@.tmp
	 mv $@.tmp $@

install-local: $(generated) 
	$(call msg,$@)
	$(call install,$(docdir),$(bdir)/version.ent)
	$(call install,$(docdir)/doc-base.html,$(bdir)/doc-base.html/*)
	$(call install,$(docdir),$(bdir)/doc-base.sgml $(bdir)/doc-base.txt,compress)
	$(call install,$(sharedir)/data,$(bdir)/section.list)

=== debian/changelog ===
doc-base (0.10.5) unstable; urgency=low

  * Switch triggers to interest-noawait.
  * Fix typo in doc/doc-base.sgml (closes: #707344).
  * Fix `registation' typo (closes: #701738, LP: #1132781).
  * Scrollkeeper.pm: Fix mime-type of compressed files (closes: #483140).
  * Add lintian override for /u/s/doc-base/data directory.
  * Standards-Version: 3.9.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 14 May 2013 23:04:01 +0200

=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.9.4
Build-Depends-Indep: debiandoc-sgml (>= 1.1.37),
                     libuuid-perl,
                     libyaml-tiny-perl,
                     po4a (>= 0.35)
Build-Depends: debhelper (>= 9)
Vcs-Git: git://anonscm.debian.org/users/robert/doc-base.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/doc-base.git

Package: doc-base
Depends: libuuid-perl, libyaml-tiny-perl, ${misc:Depends}, ${perl:Depends}
Suggests: dhelp | dwww | doc-central | yelp | khelpcenter4, rarian-compat
Architecture: all
Description: utilities to manage online documentation
 This package contains utilities to manage documentation installed on
 a Debian system. It generates a database of document metadata, which
 other packages such as dwww, dhelp, doc-central, and rarian-compat
 can use to provide a catalog of available documentation.
 .
 For additional information see the Debian doc-base Manual included in
 this package.

## doc-base 0.10.6

=== debian/changelog ===
doc-base (0.10.6) unstable; urgency=medium

  * Fix `Possible precedence issue with control flow operator'
    warning (closes: #758311).
  * Fix a typo in install-docs.
  * Standards-Version: 3.9.5 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 24 Aug 2014 22:14:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37),
                      libuuid-perl,
                      libyaml-tiny-perl,

## doc-base 0.10.7

=== Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 217 2011-02-23 21:09:59Z robert $
#

ALL_TARGET    := build-local
AFTER_INSTALL := $(call check_install)
SUBDIRS       := doc data perl po
include       common.mk

x:=$(subst /, ,$(abspath ))
x1:=$(strip $x)

generated     := $(bdir)/man/man8/install-docs.8  \
                $(bdir)/install-docs.html       \
                $(bdir)/install-docs

$(ALL_TARGET): $(generated) | $(bdir)


check: $(bdir)/install-docs
	$(call msg,$@)
	perl -I$(CURDIR)/perl -Tcw install-docs.in
	perl -I$(CURDIR)/perl -Tcw $(bdir)/install-docs

.PHONY: check


$(bdir)/install-docs: install-docs.in $(CHANGELOGFILE) | $(bdir)
	$(call msg,$@)
	sed -e '/#LINE_REMOVED_BY_MAKE#/d'   \
	    -e 's/#VERSION#/$(VERSION)/' \
	    < $< > $@
	chmod 755 $@

$(bdir)/man/man8/install-docs.8: $(bdir)/install-docs 
	$(call msg,$@)
	mkdir -p $(dir $@)
	cp $< $@.pod
	$(call podtoman,$(bdir)/man)

$(bdir)/install-docs.html: $(bdir)/install-docs 
	$(call msg,$@)
	cd $(bdir) && \
	pod2html --title "install-docs reference" \
	  < $(notdir $<) > $(notdir $@)

define check_install
	echo checking_installation; \
	PERL5LIB=$(perldir)      perl -cw $(sbindir)/install-docs
endef

install-local: $(generated)
	$(call msg,$@)
	$(call install,$(sbindir),$(bdir)/install-docs,script)
	$(call install,$(omfdir),,)
	$(call install,$(libdir)/omf,,)
	$(call install,$(libdir)/info,,)
	$(call install_links,$(libdir)/omf,$(omfdir)/doc-base)
	$(call install,$(mandir)/man8,$(bdir)/man/man8/install-docs.8,compress)
	$(call install,$(docdir),$(bdir)/install-docs.html)

=== doc/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 $(bdir)/check-stamp: $(bdir)/doc-base.sgml $(bdir)/version.ent
 	$(call msg,$@)
-	nsgmls -wall -s -E20 $(bdir)/doc-base.sgml	# check SGML syntax
+	onsgmls -wall -s -E20 $(bdir)/doc-base.sgml	# check SGML syntax
 	touch $@
 
 $(bdir)/doc-base.txt: $(bdir)/doc-base.sgml $(bdir)/version.ent $(bdir)/check-stamp

=== perl/Debian/DocBase/Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 178 2009-01-11 14:14:16Z robert $
#

ALL_TARGET=
SUBDIRS=Programs
include ../../../common.mk

SOURCE_FILES	:=	$(sort $(wildcard *.pm))
INSTALL_DIR		:= 	$(subst $(realpath $(TOPDIR)/perl),,$(realpath $(CURDIR)))

install-local:
	$(call msg,$@)
	$(call install,$(perllibdir)/$(INSTALL_DIR),$(SOURCE_FILES))

=== debian/changelog ===
doc-base (0.10.7) unstable; urgency=medium

  * Build depend on opensp and use onsgmls instead of nsgmls
    to fix FTBFS (closes: #812671).
  * Set UTC date when generating docs and pass the `-n' option to gzip
    to get reproducible results (closes: #794793).
  * Add Swedish translation (closes: #794597).
  * Switch debian/copyright to the DEP-5 format.
  * Drop unused lintian override for /u/s/doc-base/data directory.
  * debian/control:
    + Use https for Vcs-Browser field;
    + Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 27 Jan 2016 22:52:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37),
                      libuuid-perl,
                      libyaml-tiny-perl,
+                     opensp,
                      po4a (>= 0.35)
 Build-Depends: debhelper (>= 9)
 Vcs-Git: git://anonscm.debian.org/users/robert/doc-base.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/doc-base.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/robert/doc-base.git
 
 Package: doc-base
 Depends: libuuid-perl, libyaml-tiny-perl, ${misc:Depends}, ${perl:Depends}

## doc-base 0.10.8

=== po/Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 168 2009-01-04 16:10:53Z robert $
#

ALL_TARGET=
SUBDIRS=bin pod
include ../common.mk

=== debian/changelog ===
doc-base (0.10.8) unstable; urgency=medium

  * Switch documentation format from DocBook SGML to DocBook XML
    (closes: #871520).
  * Scrollkeeper.pm: specify 'file://' protocol in identifier tag of oml
    files (closes: #860348).
  * Bump debhelper's compat to 11.
  * debian/control:
    + Replace khelpcenter4 with khelpcenter in Suggests field
     (closes: #886535);
    + Switch Vcs-Git to https, and Vcs-Browser to cgit;
    + Standards-Version: 4.1.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 11 Feb 2018 20:43:11 +0100

=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 4.1.3
Build-Depends-Indep: docbook-xml,
                     docbook-xsl,
                     libxml2-utils,
                     xsltproc,
                     lynx,
                     libuuid-perl,
                     libyaml-tiny-perl,
                     po4a (>= 0.35)
Build-Depends: debhelper (>= 11)
Vcs-Git: https://anonscm.debian.org/git/users/robert/doc-base.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/robert/doc-base.git

Package: doc-base
Depends: libuuid-perl, libyaml-tiny-perl, ${misc:Depends}, ${perl:Depends}
Suggests: dhelp | dwww | doc-central | yelp | khelpcenter, rarian-compat
Architecture: all
Description: utilities to manage online documentation
 This package contains utilities to manage documentation installed on
 a Debian system. It generates a database of document metadata, which
 other packages such as dwww, dhelp, doc-central, and rarian-compat
 can use to provide a catalog of available documentation.
 .
 For additional information see the Debian doc-base Manual included in
 this package.

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 219 2011-02-24 22:34:36Z robert $


binary binary-indep build build-indep clean:
	dh $@

binary-arch build-arch: # Nothing to do

override_dh_installdocs:
	dh_installdocs -X doc-base.debhelper.log -X doc-base.substvars -X doc-base

override_dh_perl:
	dh_perl -d

.PHONY: clean                                   \
	build-indep   build-arch   build        \
	binary-indep  binary-arch  binary

DEFAULT_GOAL := binary

## doc-base 0.10.8+nmu1

=== debian/changelog ===
doc-base (0.10.8+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:24:48 +0800

## doc-base 0.10.9

=== doc/Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 206 2011-01-16 21:08:22Z robert $
#

ALL_TARGET := build-local
SUBDIRS		 := 
include ../common.mk

XMLLINT  := xmllint --nonet --noout --postvalid --xinclude
XSLTPROC := xsltproc --nonet --xinclude


generated := $(bdir)/version.ent							\
						 $(bdir)/doc-base.xml  						\
						 $(bdir)/doc-base.txt 						\
						 $(bdir)/doc-base.html/index.html \
						 $(bdir)/check-stamp							\
						 $(bdir)/section.list

$(ALL_TARGET): $(generated) | $(bdir)


$(bdir)/doc-base.xml: doc-base.xml | $(bdir)
	$(call msg,$@)
	cp -f $< $@
	touch -r $< $@

$(bdir)/check-stamp: $(bdir)/doc-base.xml $(bdir)/version.ent
	$(call msg,$@)
	$(XMLLINT) $(bdir)/doc-base.xml # check xml syntax
	touch $@

$(bdir)/doc-base.txt: $(bdir)/doc-base.xml $(bdir)/version.ent $(bdir)/check-stamp xsl/*.xsl
	$(call msg,$@)
	cd $(bdir) && $(XSLTPROC) $(CURDIR)/xsl/text.xsl $(<F) > doc-base.tmp.html
	lynx -dump -nolist $(bdir)/doc-base.tmp.html > $@

$(bdir)/doc-base.html/%: $(bdir)/doc-base.xml $(bdir)/version.ent $(bdir)/check-stamp xsl/*.xsl
	$(call msg,$@)
	cd $(bdir) &&  $(XSLTPROC) --stringparam base.dir doc-base.html $(CURDIR)/xsl/html-chunk.xsl $(<F)

$(bdir)/version.ent: $(bdir)/doc-base.xml $(CHANGELOGFILE) $(MAKEFILESLIST) | $(bdir)
	$(call msg,$@)
	echo "<!ENTITY version \"$(VERSION)\">"    > $@.new
	echo "<!ENTITY date    \"$(DATE_EN)\">"    >> $@.new
	mv -f $@.new $@

$(bdir)/section.list: doc-base.xml | $(bdir)
	$(call msg,$@)
	perl -e  \
	   'exec ("'perl'", "-ne", join("",@ARGV)) if $$#ARGV >-1;                                     '\
	   '      last           if /^\s*<!--\s*section\s+list\s+end\s*-->\s*$$/;                      '\
	   '      $$insect = 1   if /^\s*<!--\s*section\s+list\s+begin\s*-->\s*$$/;                    '\
	   '      next           unless $$insect;                                                      '\
	   '      next           if /\s*<!--\s*section\s+list\s+skip\s*-->/;                           '\
	   '      print "$$2\n"  if /^\s*<(term|para)>\s*<literal>\s*(.*)\s*<\/literal>\s*<\/\1>\s$$/; '\
	 < $< > $@.tmp
	touch -r $< $@.tmp
	mv $@.tmp $@
	sha1sum $@

install-local: $(generated) 
	$(call msg,$@)
	$(call install,$(docdir),$(bdir)/version.ent)
	$(call install,$(docdir)/doc-base.html,$(bdir)/doc-base.html/*)
	$(call install,$(docdir),$(bdir)/doc-base.xml $(bdir)/doc-base.txt,compress)
	$(call install,$(sharedir)/data,$(bdir)/section.list)

=== debian/changelog ===
doc-base (0.10.9) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Robert Luberda ]
  * Switch to using debhelper v12.
  * Fix typos in doc-base manual (closes: #902833). Thanks to Paul Hardy.
  * common.xsl: Restore TOC section depth (closes: #912055). Thanks
    to Collin Watson.
  * common.mk: make it possible to install without root privileges,
    and set 'Rules-Requires-Root' to 'no'  in debian/control.
  * Standards-Version: 4.4.0.

 -- Robert Luberda <robert@debian.org>  Tue, 06 Aug 2019 23:17:24 +0200

=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 4.4.0
Build-Depends-Indep: docbook-xml,
                     docbook-xsl,
                     libuuid-perl,
                     libxml2-utils,
                     libyaml-tiny-perl,
                     lynx,
                     po4a (>= 0.35),
                     xsltproc
Build-Depends: debhelper (>= 12)
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/doc-base.git
Vcs-Browser: https://salsa.debian.org/debian/doc-base

Package: doc-base
Depends: libuuid-perl, libyaml-tiny-perl, ${misc:Depends}, ${perl:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: dhelp | dwww | doc-central | yelp | khelpcenter, rarian-compat
Architecture: all
Description: utilities to manage online documentation
 This package contains utilities to manage documentation installed on
 a Debian system. It generates a database of document metadata, which
 other packages such as dwww, dhelp, doc-central, and rarian-compat
 can use to provide a catalog of available documentation.
 .
 For additional information see the Debian doc-base Manual included in
 this package.

## doc-base 0.11

=== debian/changelog ===
doc-base (0.11) unstable; urgency=medium

  [ Lev Lamberov ]
  * Fix typo in documentation

  [ Eduard Bloch ]
  * Fix typo in German translation

  [ Robert Luberda ]
  * Initial Portuguese translation of manpage (closes: #964798). Thanks
    to Américo Monteiro.
  * Fix a long-standing issue with doc-base trigger failures on upgrades of
    packages that provided doc-base files from which install-docs could not
    generate output control file in /var/lib/doc-base documents.  In such a
    case doc-base did not store information about input /usr/share/doc-base
    files in its files database, what resulted in trigger failure on later
    upgrade of the package (closes: #735418, #931705, LP: #1385362,
    LP: #1607755, LP: #1726384, LP: #1755880).
  * Remove support for scrollkeeper/rarian, as the packages have been
    already removed from Debian (closes: #928635). Unfuzzy translations
    of documentation.
  * Bump debhelper's compat to 13.
  * Standards-Version: 4.5.1.

 -- Robert Luberda <robert@debian.org>  Tue, 15 Dec 2020 08:09:48 +0100

=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 4.5.1
Build-Depends-Indep: docbook-xml,
                     docbook-xsl,
                     libuuid-perl,
                     libxml2-utils,
                     libyaml-tiny-perl,
                     lynx,
                     po4a (>= 0.35),
                     xsltproc
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/doc-base.git
Vcs-Browser: https://salsa.debian.org/debian/doc-base

Package: doc-base
Depends: libuuid-perl, libyaml-tiny-perl, ${misc:Depends}, ${perl:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: dhelp | dwww | doc-central | yelp | khelpcenter
Architecture: all
Description: utilities to manage online documentation
 This package contains utilities to manage documentation installed on
 a Debian system. It generates a database of document metadata, which
 other packages such as dwww, dhelp, and doc-central can use to provide
 a catalog of available documentation.
 .
 For additional information see the Debian doc-base Manual included in
 this package.

## doc-base 0.11.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,5 @@
 # vim:ts=2
 # makefile for doc-base
-# $Id: Makefile 217 2011-02-23 21:09:59Z robert $
-#
 
 ALL_TARGET    := build-local
 AFTER_INSTALL := $(call check_install)
@@ -53,10 +51,7 @@
 install-local: $(generated)
 	$(call msg,$@)
 	$(call install,$(sbindir),$(bdir)/install-docs,script)
-	$(call install,$(omfdir),,)
-	$(call install,$(libdir)/omf,,)
 	$(call install,$(libdir)/info,,)
-	$(call install_links,$(libdir)/omf,$(omfdir)/doc-base)
 	$(call install,$(mandir)/man8,$(bdir)/man/man8/install-docs.8,compress)
 	$(call install,$(docdir),$(bdir)/install-docs.html)

=== data/Makefile ===
# vim:ts=2
# makefile for doc-base

ALL_TARGET:=
SUBDIRS:=
include ../common.mk

install-local: 
	$(call msg,$@)
	$(call install,$(sharedir)/doc-base,doc-base.desc,notdir)
	$(call install,$(sharedir)/install-docs-man,install-docs.desc,notdir)
	$(call install,$(sharedir)/data,doc-base.map)
	$(call install,$(etcdir)/documents/README,README.local,notdir)

=== perl/Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 167 2009-01-04 12:24:45Z robert $
#

ALL_TARGET=
SUBDIRS=Debian
include ../common.mk

=== perl/Debian/Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 167 2009-01-04 12:24:45Z robert $
#

ALL_TARGET=
SUBDIRS=DocBase
include ../../common.mk

=== po/pod/Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 189 2009-04-26 22:57:37Z robert $
#

ALL_TARGET=build-local
SUBDIRS=
include ../../common.mk

SOURCE_FILES=$(shell sed -ne 's/^\[type: pod\] \$$(srcdir)\/\([^ ]*\)*.*$$/..\/..\/\1/p' < po4a.cfg)
build-local: $(bdir)/stamp-po4a
  
$(bdir)/stamp-po4a: po4a.cfg $(wildcard *.po) $(SOURCE_FILES) $(MAKEFILE_LIST)
	$(call msg,$@)
	po4a  $(XGETTEXT_COMMON_OPTIONS)          \
	      --previous                          \
	      -v                                  \
	      --variable srcdir=../..             \
	      --variable builddir=$(bdir)         \
	      po4a.cfg
	$(call podtoman,$(bdir))
	touch "$@"

install-local: $(bdir)/stamp-po4a
	$(call msg,$@)
	set -e; \
	cd $(bdir); \
	for file in */man*/*.pod; do                  \
	  basedir=`dirname $$file`;                   \
	  dir=$(mandir)/$$basedir;                    \
	  src=$$basedir/`basename $$file .pod`;       \
	  $(call install,$$dir,$$src,compress)        \
	done


update-po:
	$(call msg,$@)
	po4a  $(XGETTEXT_COMMON_OPTIONS)          \
	      --previous                          \
	      --force                             \
	      -v                                  \
	      --variable srcdir=../..             \
	      --variable builddir=$(bdir)         \
	      po4a.cfg


.PHONY: update-po

=== perl/Debian/DocBase/Programs/Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 178 2009-01-11 14:14:16Z robert $
#

ALL_TARGET=
SUBDIRS=
include ../../../../common.mk

SOURCE_FILES	:=	$(sort $(wildcard *.pm))
INSTALL_DIR		:= 	$(subst $(realpath $(TOPDIR)/perl),,$(realpath $(CURDIR)))

install-local:
	$(call msg,$@)
	$(call install,$(perllibdir)/$(INSTALL_DIR),$(SOURCE_FILES))

=== debian/changelog ===
doc-base (0.11.1) unstable; urgency=medium

  * Fix incorect bug number in the previous release's changelog entry.
  * Make doc-base suggest dochelp package  (closes: #980968); mention
   the package in the documentation as well, and unfuzzy doc translations.

 -- Robert Luberda <robert@debian.org>  Tue, 26 Jan 2021 00:34:51 +0100

=== debian/control ===
--- 
+++ 
@@ -19,13 +19,13 @@
 Package: doc-base
 Depends: libuuid-perl, libyaml-tiny-perl, ${misc:Depends}, ${perl:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Suggests: dhelp | dwww | doc-central | yelp | khelpcenter
+Suggests: dhelp | dwww | dochelp | doc-central | yelp | khelpcenter
 Architecture: all
 Description: utilities to manage online documentation
  This package contains utilities to manage documentation installed on
  a Debian system. It generates a database of document metadata, which
- other packages such as dwww, dhelp, and doc-central can use to provide
- a catalog of available documentation.
+ other packages such as dwww, dhelp, dochelp, and doc-central can use
+ to provide a catalog of available documentation.
  .
  For additional information see the Debian doc-base Manual included in
  this package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installdocs:
	dh_installdocs -X doc-base.debhelper.log -X doc-base.substvars -X doc-base

override_dh_perl:
	dh_perl -d

## doc-base 0.11.2

=== po/bin/Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 223 2011-02-28 23:34:22Z robert $
#

ALL_TARGET=build-local
SUBDIRS=
include ../../common.mk

NLS_SOURCES 		:= $(sort $(wildcard ../../perl/Debian/DocBase/*.pm ../../perl/Debian/DocBase/Programs/*.pm ../../install-docs.in))
POFILES					:= $(sort $(wildcard *.po))
MOFILES				  := $(patsubst %.po,$(bdir)/%.mo,$(POFILES))


build-local: $(MOFILES)
	$(call msg,$@)


install-local: $(MOFILES)
	$(call msg,$@)
	$(foreach file,$(MOFILES),	\
		$(call install,$(nlsdir)/$(notdir $(basename $(file)))/LC_MESSAGES/$(PACKAGE).mo,$(file),notdir))

$(bdir)/%.mo: %.po
	$(call msg,$@)
	mkdir -p $(bdir)
	msgfmt  -o $@ $<

$(PACKAGE).pot:	$(NLS_SOURCES) | $(MAKEFILE_LIST)
	$(call msg,$@)
	xgettext -L perl  -cTranslators: -k -k_g -k_ng:1,2 $(XGETTEXT_COMMON_OPTIONS) -o $@.new $^
	$(call pochanged,$@,$@.new)

%.po: $(PACKAGE).pot
	$(call msg,$@)
	msgmerge --previous $@ $< > $@.new
	$(call pochanged,$@,$@.new)

update-po: 
	$(call msg,$@)
	$(MAKE) -W $(firstword $(NLS_SOURCES)) $(POFILES) 


.PHONY: update-po

=== debian/changelog ===
doc-base (0.11.2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends-Indep: Drop versioned constraint on po4a (>= 0.35).

  [ Robert Luberda ]
  * Update linitan overrides for mismatched override.
  * Replace 'which' with 'command -v' in prerm.
  * Standards-Version: 4.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 21 Jan 2024 22:54:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends-Indep: docbook-xml,
                      docbook-xsl,
                      libuuid-perl,
                      libxml2-utils,
                      libyaml-tiny-perl,
                      lynx,
-                     po4a (>= 0.35),
+                     po4a,
                      xsltproc
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no

## doc-base 0.11.2build1

=== debian/changelog ===
doc-base (0.11.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 11:25:15 +0100
